Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.luntsys.luntbuild.remoting
Class ScheduleFacade

    java.lang.Object
      com.luntsys.luntbuild.remoting.ScheduleFacade

public class ScheduleFacade
extends java.lang.Object

Facade of a luntbuild schedule.. Mainly used by web service client to operate on properties of a schedule

Author:
  robin shine

Field Summary
`static int` | `TRIGGER_CRON`
`static int` | `TRIGGER_MANUAL`
`static int` | `TRIGGER_SIMPLE`

Constructor Summary
`ScheduleFacade()`

Method Summary
`java.lang.String` | `getCronExpression()` Get cron expression of this schedule.
`java.lang.String` | `getDescription()` Get description of this schedule
`long` | `getId()` Get id of this schedule
`java.lang.String` | `getName()` Get name of this schedule
`long` | `getRepeatInterval()` Get repeat interval of this schedule, only meaningful when result of `getTriggerType()` is `TRIGGER_SIMPLE`
`int` | `getTriggerType()` Get trigger type of this schedule
`void` | `setCronExpression(java.lang.String cronExpression)` Set cron expression of this schedule.
`void` | `setDescription(java.lang.String description)` Set description of this schedule
`void` | `setId(long id)` Set id of this schedule
`void` | `setName(java.lang.String name)` Set name of this schedule
`void` | `setRepeatInterval(long repeatInterval)` Set repeat interval of this schedule.
`void` | `setTriggerType(int triggerType)` Set trigger type of this schedule

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRIGGER_MANUAL

    public static final int TRIGGER_MANUAL

See Also:
  Constant Field Values

### TRIGGER_SIMPLE

    public static final int TRIGGER_SIMPLE

See Also:
  Constant Field Values

### TRIGGER_CRON

    public static final int TRIGGER_CRON

See Also:
  Constant Field Values

Constructor Detail

### ScheduleFacade

    public ScheduleFacade()

Method Detail

### getId

    public long getId()

  Get id of this schedule

  Returns:
    id of this schedule

### setId

    public void setId(long id)

  Set id of this schedule

  Parameters:
    `id` -

### getName

    public java.lang.String getName()

  Get name of this schedule

  Returns:
    name of this schedule

### setName

    public void setName(java.lang.String name)

  Set name of this schedule

  Parameters:
    `name` -

### getDescription

    public java.lang.String getDescription()

  Get description of this schedule

  Returns:
    description of this schedule

### setDescription

    public void setDescription(java.lang.String description)

  Set description of this schedule

  Parameters:
    `description` -

### getTriggerType

    public int getTriggerType()

  Get trigger type of this schedule

  Returns:
    one value of `TRIGGER_CRON`, `TRIGGER_MANUAL`, `TRIGGER_SIMPLE`

### setTriggerType

    public void setTriggerType(int triggerType)

  Set trigger type of this schedule

  Parameters:
    `triggerType` - one value of `TRIGGER_CRON`, `TRIGGER_MANUAL`, `TRIGGER_SIMPLE`

### getRepeatInterval

    public long getRepeatInterval()

  Get repeat interval of this schedule, only meaningful when result of `getTriggerType()` is `TRIGGER_SIMPLE`

  Returns:
    repeat interval of this schedule

### setRepeatInterval

    public void setRepeatInterval(long repeatInterval)

  Set repeat interval of this schedule. Only meaningful when result of `getTriggerType()` is `TRIGGER_SIMPLE`

  Parameters:
    `repeatInterval` -

### getCronExpression

    public java.lang.String getCronExpression()

  Get cron expression of this schedule. Only meaningful when result of `getTriggerType()` is `TRIGGER_CRON`

  Returns:
    cron expression of this schedule

### setCronExpression

    public void setCronExpression(java.lang.String cronExpression)

  Set cron expression of this schedule. Only meaningful when result of `getTriggerType()` is `TRIGGER_CRON`

  Parameters:
    `cronExpression` -

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Luntsys Corp. All Rights Reserved.